View Javadoc

    1   /*
    2    * Copyright 2012 The Netty Project
    3    *
    4    * The Netty Project licenses this file to you under the Apache License,
    5    * version 2.0 (the "License"); you may not use this file except in compliance
    6    * with the License. You may obtain a copy of the License at:
    7    *
    8    *   http://www.apache.org/licenses/LICENSE-2.0
    9    *
    10   * Unless required by applicable law or agreed to in writing, software
    11   * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
    12   * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
    13   * License for the specific language governing permissions and limitations
    14   * under the License.
    15   */
    16  package org.jboss.netty.handler.ipfilter;
    17
    18  import java.net.InetAddress;
    19  import java.net.UnknownHostException;
    20
    21  /** IpV4 only Filter Rule */
    22  public class IpV4SubnetFilterRule extends IpV4Subnet implements IpFilterRule {
    23      /** Is this IpV4Subnet an ALLOW or DENY rule */
    24      private boolean isAllowRule = true;
    25
    26      /**
    27       * Constructor for a ALLOW or DENY ALL
    28       *
    29       * @param allow True for ALLOW, False for DENY
    30       */
    31      public IpV4SubnetFilterRule(boolean allow) {
    32          isAllowRule = allow;
    33      }
    34
    35      /** @param allow True for ALLOW, False for DENY */
    36      public IpV4SubnetFilterRule(boolean allow, InetAddress inetAddress, int cidrNetMask) {
    37          super(inetAddress, cidrNetMask);
    38          isAllowRule = allow;
    39      }
    40
    41      /** @param allow True for ALLOW, False for DENY */
    42      public IpV4SubnetFilterRule(boolean allow, InetAddress inetAddress, String netMask) {
    43          super(inetAddress, netMask);
    44          isAllowRule = allow;
    45      }
    46
    47      /** @param allow True for ALLOW, False for DENY */
    48      public IpV4SubnetFilterRule(boolean allow, String netAddress) throws UnknownHostException {
    49          super(netAddress);
    50          isAllowRule = allow;
    51      }
    52
    53      public boolean isAllowRule() {
    54          return isAllowRule;
    55      }
    56
    57      public boolean isDenyRule() {
    58          return !isAllowRule;
    59      }
    60
    61  }